<?xml version="1.0" encoding="UTF-8"?>

<?xml-stylesheet href="http://moise.sourceforge.net/xml/os.xsl" type="text/xsl" ?>

<organisational-specification
    id="jplanner"
    os-version="0.8"

    xmlns='http://moise.sourceforge.net/os'
    xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
    xsi:schemaLocation='http://moise.sourceforge.net/os
                        http://moise.sourceforge.net/xml/os.xsd' >

<structural-specification>

<role-definitions>
    <role id="role1" />
    <role id="role2" />
</role-definitions>

<group-specification id="stool_gr">
    <roles>
        <role id="role1" min="1" max="1"/>
        <role id="role2" min="1" max="1"/>
    </roles>

    <links>
       <link from="role1" to="role2" type="communication" scope="intra-group" bi-dir="true"/>
    </links>
    <formation-constraints>
       <compatibility from="role1" to="role2" scope="intra-group"/>
    </formation-constraints>
</group-specification>
</structural-specification>

<!-- it can be auto generated -->
<functional-specification>
    <scheme id="assembling_sch">
        <goal id="assembleStool" >
            <plan operator="sequence">
            
                <goal id="mount_leg1"   >
                	<plan operator="sequence">
                		<goal id="deliver_leg1" min="1"/>
                		<goal id="attach_leg1" min="1"/>
                	</plan>
                </goal>
                
                <goal id="mount_leg2"   >
                	<plan operator="sequence">
                		<goal id="deliver_leg2" min="1"/>
                		<goal id="attach_leg2" min="1"/>
                	</plan>
                </goal>
                
                <goal id="mount_leg3"  >
                	<plan operator="sequence">
                		<goal id="deliver_leg3" min="1"/>
                		<goal id="attach_leg3" min="1"/>
                	</plan>
                </goal>
                
                <goal id="mount_leg4"   >
                	<plan operator="sequence">
                		<goal id="deliver_leg4" min="1"/>
                		<goal id="attach_leg4" min="1"/>
                	</plan>
                </goal>
            </plan>
        </goal>
        
		<!--  min and max cardinality state that the only one agent can be commited to this missions -->
		<!-- also we can achieve a goal by getting its leaves goal -->
        <mission id="goalMission1" min="1" max="1">  
            <goal id="deliver_leg1"/>
            <goal id="deliver_leg2"/>
            <goal id="deliver_leg3"/>
            <goal id="deliver_leg4"/>
        </mission>
        <mission id="goalMission2" min="1" max="1">
            <goal id="attach_leg1"/>
            <goal id="attach_leg2"/>
            <goal id="attach_leg3"/>
            <goal id="attach_leg4"/>
        </mission>
    </scheme>
</functional-specification>

<normative-specification>
    <!-- the norms of the application -->
    <!-- how to make these mission generic as an agent's belief -->
    <norm id="n1" type="obligation" role="role1" mission="goalMission1"/>
    <norm id="n2" type="permission" role="role2" mission="goalMission2"/>
</normative-specification>

</organisational-specification>